Jump to content

Comunicado paypal.... ¿nos afectará en prestashop?


Eusebio100
 Share

Recommended Posts

Este es el comunicado que seguramente [email protected] habes recibido:

 

Estimado/a XXXXXXXXXXXXXX,
En nuestro boletín del 18 de octubre de 2011, anunciamos que íbamos a ampliar el número de direcciones IP disponibles para www.paypal.com con el fin de mejorar el uso y desarrollo de nuestro sitio web. Como parte de esta transición, planeamos dejar de utilizar el protocolo HTTP 1.0 a partir del 1 de febrero de 2013.
Sin embargo, hemos observado que este cambio podría afectar la capacidad de algunos de nuestros vendedores para verificar el sistema IPN (de notificaciones de pago instantáneo) o PDT (transferencia de datos del pago) en www.paypal.com.  Esto sucede cuando las instrucciones de IPN o PDT utilizan el protocolo HTTP 1.0 y no incluyen el sitio www.paypal.com en el cabecero de la solicitud HTTP.
Detalles adicionales
A partir del 1 de febrero de 2013, requeriremos a todos los nuevos clientes que utilicen una etiqueta de cabecera ("Host" header) que cumpla con las especificaciones HTTP 1.1.  Este requisito no será necesario con el HTTP 1.0. Las secuencias de comandos de IPN y PDT que utilicen el protocolo HTTP 1.0 podrían empezar a dar el siguiente error: "HTTP/1.0 400 Bad Request" a partir del 1 de febrero de 2013, lo que podría generar que los mensajes de IPN no se pudieran validar correctamente, o que los scripts de PDT no fueran capaces de procesar la información de las transacciones.
Pasos necesarios antes del 1 de Febrero de 2013
Los vendedores necesitarán actualizar sus secuencias de comandos de IPN y/o PDT para usar el protocolo HTTP 1.1, e incluir la etiqueta de cabecera ("Host" header) en las instrucciones de validación de IPN.

Ejemplo:
ASP
//Set values for the request back
req.Method="POST";
req.Host="www.paypal.com";
req.ContentType="application/x-www-form-urlencoded";

Perl
$req=HTTP::Request->new('POST', 'https://www.paypal.com/cgi-bin/webscr');
$req->content_type('application/x-www-form-urlencoded');
$req->header(Host=> 'www.paypal.com');

PHP
// post back to PayPal system to validate
$header .="POST /cgi-bin/webscr HTTP/1.1\r\n";
$header .="Content-Type: application/x-www-form-urlencoded\r\n";
$header .="Host: www.paypal.com\r\n";

Java
HttpsURLConnection  uc=(HttpsURLConnection) u.openConnection();
uc.setDoOutput(true);
uc.setRequestProperty("Content-Type","application/x-www-form-urlencoded");
uc.setRequestProperty("Host", "www.paypal.com");
El entorno de pruebas de PayPal (Sandbox), se ha configurado para rechazar cualquier solicitud de HTTP que no incluya la etiqueta de cabecera especificada, con el mensaje de error "HTTP 400 error".  Los vendedores pueden utilizar el entorno Sandbox para verificar los cambios en sus instrucciones de IPN y PDT.
Para obtener más información sobre IPN y PDT, vaya a http://www.paypal.com/pdt and http://www.paypal.com/ipn. Para obtener más información sobre estos cambios, por favor visite https://www.paypal.com/mts.

Atentamente,
PayPal
© 1999-2012 PayPal. Todos los derechos reservados.
PayPal (Europe) S.à r.l. et Cie, S.C.A.
Société en Commandite par Actions
Sede social :22-24 Boulevard Royal, 5ème étage, L-2449, Luxembourg
RCS Luxembourg B 118 349

Y my pregunta es la del título, ¿nos afectará? y en caso afirmativo y para ir adelantando ¿cual es la solución?

 

Un saludo.

Share this post


Link to post
Share on other sites

Ummm, me he releido el mensaje y yo entiendo que es para todos los usuarios de paypal. A partir de enero será exigido a nuevos clientes, pero luego dice que los vendedores necesitarán actualizar sus secuencias de comandos para le protocolo HTTP 1.1 y eso creo que es para todos.

 

No se, pero yo creo que hay que mirar el tema, hay mucho tiempo pero hay que mirarlo. Es mi opinión.

 

Slds.

Share this post


Link to post
Share on other sites

  • 2 months later...

Hoy he recibido un nuevo comunicado de paypal:

A partir del 1 de Febrero de 2013, se requerirá que todas las solicitudes HTTP entrantes contengan la cabecera “Host” en conformidad con la especificación HTTP 1.1. Esta cabecera no era requerida bajo HTTP 1.0.

 

Mi pregunta es si el módulo de prestashop está actualizado, ¿alguien sabe algo?

 

Slds.

Share this post


Link to post
Share on other sites

Lo mejor olvidar paypal.

 

Hoy hemos recibido nuevamente otro correo como que un cliente a denunciado el uso indebido de su tarjeta de credito, por lo que nos sujetan ese dinero y nos piden que presentamos documentacion... Esto acaba mal como otras veces nos ha pasado y por supuesto el dinero te lo retira, 300 o 400 € perdidos... Porque puedes presentar lo que quieras, DA IGUAL, nunca tienes razon.

 

Asi, hay teneis nuestra opinion ed paypal

Share this post


Link to post
Share on other sites

Guest
This topic is now closed to further replies.
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More